headless lms

Get a course

GET /api/courses/{id}. Get a course. Headless LMS Content API reference.

GET
/api/courses/{id}

Requires courses:read.

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/courses/string"
{  "orgId": "string",  "id": "string",  "type": "course",  "title": "string",  "slug": "string",  "description": "string",  "status": "draft",  "category": "string",  "thumbnailAssetId": "string",  "settings": {    "transcriptDownloads": true,    "comments": {      "enabled": true,      "threaded": true,      "requireReview": true,      "reactions": true    }  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "thumbnailUrl": "string"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}